/**
 * Component to render data for site documents
 * @class SiteDocuments
 */
export class SiteDocuments {
    /**
     * @param {object} data
     */
    set siteData(data) {
        this._siteData = data;
    }

    render() {
        let content = `
            <div class="has-bottom-border">
                <h3 class="p-2 has-text-centered is-size-5">Documentazione di archivio</h3>
                <p class="p-2 has-text-centered">${this._siteData.documenti}</p>
                <div class="p-2">
                <table class="p-4 table is-fullwidth is-striped">
                    <tr><th>Titolo</th><th>Autori</th><th>Download</th></tr>
            `;
		for (const doc of this._siteData.documents.filter(d => d.tipo === 'documentazione')) {
			content += `
				<tr><td>${doc.titolo}</td><td>${doc.autori}</td><td><a class="button is-link has-text-white" href="docs/${doc.filename}">
                    <i class="fa fa-download mr-2"></i> PDF
                </a></td></tr>
			`;
		}
		content += `
                </table>
                </div>
            </div>
        `;
		content += `
            <div class="has-bottom-border mt-5">
                <h3 class="p-2 has-text-centered is-size-5">Pubblicazioni del progetto Carta Archeologica</h3>
                <div class="p-2">
                <table class="p-4 table is-fullwidth is-striped">
                    <tr><th>Titolo</th><th>Autori</th><th>Download</th></tr>
        `;
		for (const doc of this._siteData.documents.filter(d => d.tipo === 'pubblicazione')) {
			content += `
				<tr><td>${doc.titolo}</td><td>${doc.autori}</td><td><a class="button is-link has-text-white" href="docs/${doc.filename}">
                    <i class="fa fa-download mr-2"></i> PDF
                </a></td></tr>
			`;
		}
		content += `
                </table>
                </div>
            </div>
        `;

        return content;
    }
}